<template></template>
<script>
	export default {
		async onLoad(props) {
			const { path } = props;
			await this.initParams();
			if(this.$isEmpty(path)){
				uni.switchTab({
					url: '/pages/index/home'
				})
			}else{
				this.$jump( path );
			}
		},
		onLoad() {
			
		},
		methods :{
			async initParams(){
				const {ACTIVE_SETTING,PAGE_INTERFACE_SHOW} = (await this.$api.platform.getPlatformParams({
					keys: 'ACTIVE_SETTING,PAGE_INTERFACE_SHOW'
				})).data.data;
				this.$u.vuex('vuex_active_setting', JSON.parse(ACTIVE_SETTING));
				this.$u.vuex('vuex_page_interface_show', JSON.parse(PAGE_INTERFACE_SHOW));
			}
		},
	};
</script>